0

\DB\Adapter\Pdo\Mysql error magento

How to resolve this??

https://i.stack.imgur.com/JWmOO.pngHow to resolve this?

0

It seems like an issue with MYSQL or php version. i use version Msql "10.1.31-MariaDB" and PHP 7.0.28. version. Kindly ask your hosting provider to change version. hope it can solved.

Also check this. Hope it helps.

  • i have 1:10.3.13+maria~bionic – nacho Mar 30 at 18:59
  • mysql Ver 15.1 Distrib 10.3.13-MariaDB, for debian-linux-gnu (x86_64) using readline 5.2 where is the problem? magento i 2.3.1 php 7.2 – nacho Mar 30 at 19:01
  • the command to install mariadb sudo apt install mariadb-server ---> how to specifi version sudo apt install mariadb-server-10.1.31??? – nacho Mar 30 at 19:10
  • Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to locate package mariadb-server-10.1.31 E: Couldn't find any package by glob 'mariadb-server-10.1.31' E: Couldn't find any package by regex 'mariadb-server-10.1.31' – nacho Mar 30 at 19:11
  • I'm trying this tecmint.com/install-mariadb-in-debian but he continue to install maria db 10.3 – nacho Mar 30 at 19:33
0

It seems issue with sample data installation, please do fresh installation first after install sample data.

Run below command:

php bin/magento sampledata:deploy

After run setup upgrade command

php bin/magento setup:upgrade

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.